package main

import (
	"flag"
	"fmt"
	"log"
	"os"
)

func main() {
	flag.Parse()

	files := make(map[string]int)

	for _, v := range flag.Args() {
		f, err := os.ReadDir(v)
		if err != nil {
			log.Fatal(err)
		}

		for _, v := range f {
			files[v.Name()]++
		}
	}

	for k, v := range files {
		if v == flag.NArg() {
			fmt.Println(k)
		}
	}
}
